<?php

$col="10";  // число смайлов на страницу                                            
$stmp.="<font color=\"green\">Вы можете вставлять смайлики</font><br>";

if(empty($list)){$list="1";}
$dir=opendir("sm"); // Открываем папку
$n = "0";
while(($k=readdir($dir))!==false){ 
if ($k=='.'||$k=='..'||$k=='index.php'||$k=='.htaccess'||$k=='shoutact.php'||$k=='func.inc.php') continue; // Пропускаем .. и .
$n++;

}
closedir($dir);
////////////////////
$num=($n/$col); 
if ($num!==(int)$num){$foo = (int) $num;
$fo = ($foo + 1);}   else  {$fo=$num;}
for ($i="1"; $i<=$fo; $i++) 
if ($list == "") {$c="0";}   else     {$c=($col*($list-1));}




 $dir = opendir ("sm"); 
   while ($file = readdir ($dir)) 
 {
    if (( $file != ".") && ($file != "..") && ($file != ".htaccess") && ($file != "index.php") && ($file != "Thumbs.db"))
    {
  $file2=$file;  	
$file2=str_replace(".gif","",$file2);


$la = $la + 1;
if($la>$c-1 and $la<$c+$col){




$stmp.="<a href=\"$PHP_SELF?sid=$sid&chat=add&vlsmile=".$file2."\"><img src=\"sm/$file\" alt=\"\"> -  :$file2</a><br>";

 }}}

closedir ($dir);
  if ($list == "") {$c="0";}   else{$c=($col*($list-1));}
$lis = $list + 1;
$lis1 = $list - 1;
if ($lis1 < "1") {$stmp.="<hr>Назад ";} else{$stmp.="<hr><a href=\"$PHP_SELF?sid=$sid&smiles=1&list=$lis1\">Назад</a> ";}
	        
	        
if ($lis == "$i")  {$stmp.="| Вперед<br>";} else { $stmp.="| <a href=\"$PHP_SELF?sid=$sid&smiles=1&list=$lis\">Вперед</a><br>";}
$stmp.='<br>Всего смайлов - '.$n;
$stmp.="<br><a href=\"$PHP_SELF?sid=$sid&chat=1\">В чат</a>";

msg($stmp,"Смайлы");

?>